Installing Skype 2.2 beta in Ubuntu Oneric 11.10 beta

After installation I got this error.
>skype
skype: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory
After installatiion of some 32bit libraries I got this error:
>skype
skype: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory

My remedy was this:
sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386 libqtgui4:i386

Advertisements

Tags:

3 Responses to “Installing Skype 2.2 beta in Ubuntu Oneric 11.10 beta”

  1. Hannes Says:

    Thanks a lot!

  2. jimmy Says:

    hi. I tried your remedy, but I get :

    libqtgui4:i386 : Depends: libxrender1:i386 but won’t be installed

    when I try to install libxrender1:i386 i get bunch of breaks and conflicts, any idea how to fix this? can’t find any solution on launchpad or anywhere…

    • usablesoftware Says:

      I think the dependencies have changed again (as Oneric Ocelot packages changes) and more stuff needs to be installed. So this guide is probably not that helpful any more, sorry :-(

      If you are on 64bit:
      I use getlibs to install i386 packages without having to resolve all conflicts. This little tool getlibs kan be downloaded as a deb in an earlier blog post. Try installing libxrenderer using getlibs instead.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s


%d bloggers like this: